[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[6803] new install-info test
From: |
Gavin D. Smith |
Subject: |
[6803] new install-info test |
Date: |
Sun, 22 Nov 2015 21:17:27 +0000 |
Revision: 6803
http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=6803
Author: gavin
Date: 2015-11-22 21:17:26 +0000 (Sun, 22 Nov 2015)
Log Message:
-----------
new install-info test
Modified Paths:
--------------
trunk/ChangeLog
trunk/install-info/tests/Makefile.am
Added Paths:
-----------
trunk/install-info/tests/ii-0058-expected-dir-file
trunk/install-info/tests/ii-0058-test
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2015-11-22 21:16:44 UTC (rev 6802)
+++ trunk/ChangeLog 2015-11-22 21:17:26 UTC (rev 6803)
@@ -1,5 +1,10 @@
2015-11-22 Gavin Smith <address@hidden>
+ * install-info/tests/ii-0058-test: New test, for an empty dir
+ file.
+
+2015-11-22 Gavin Smith <address@hidden>
+
* install-info/install-info.c (open_possibly_compressed_file):
If file is empty, try to create it if passed a callback for
doing so. Problem with zero-sized dir files reported by
Modified: trunk/install-info/tests/Makefile.am
===================================================================
--- trunk/install-info/tests/Makefile.am 2015-11-22 21:16:44 UTC (rev
6802)
+++ trunk/install-info/tests/Makefile.am 2015-11-22 21:17:26 UTC (rev
6803)
@@ -22,7 +22,7 @@
ii-0041-test ii-0042-test ii-0043-test ii-0044-test ii-0045-test \
ii-0046-test ii-0047-test ii-0048-test ii-0049-test ii-0050-test \
ii-0051-test ii-0052-test ii-0053-test ii-0054-test ii-0055-test \
-ii-0056-test ii-0057-test
+ii-0056-test ii-0057-test ii-0058-test
noinst_SCRIPTS=$(TESTS)
Added: trunk/install-info/tests/ii-0058-expected-dir-file
===================================================================
(Binary files differ)
Property changes on: trunk/install-info/tests/ii-0058-expected-dir-file
___________________________________________________________________
Added: svn:mime-type
+ application/octet-stream
Added: trunk/install-info/tests/ii-0058-test
===================================================================
--- trunk/install-info/tests/ii-0058-test (rev 0)
+++ trunk/install-info/tests/ii-0058-test 2015-11-22 21:17:26 UTC (rev
6803)
@@ -0,0 +1,29 @@
+#!/bin/sh -x
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+. ./defs || exit 1
+
+outputdirfile=`mktemp ii58-XXXXXXXX`
+rm -f $outputdirfile
+touch $outputdirfile
+if [ "x$?" != "x0" ]; then
+ exit 1
+fi
+
+${install_info} ${testdir}/ii-0001-input-info-file $outputdirfile
+retval=$?
+if [ "x$retval" != "x0" ]; then
+ exit $retval
+fi
+
+diff ${testdir}/ii-0058-expected-dir-file $outputdirfile
+retval=$?
+
+rm -f $outputdirfile
+exit $retval
Property changes on: trunk/install-info/tests/ii-0058-test
___________________________________________________________________
Added: svn:executable
+ *
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [6803] new install-info test,
Gavin D. Smith <=